<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="inlineClass"
    nsURI="http://www.modelversioning.org/ecore/inlineclass" nsPrefix="ic">
  <eClassifiers xsi:type="ecore:EClass" name="A" xmi:id="_classA">
    <eStructuralFeatures xsi:type="ecore:EReference" name="contains" eType="#//B"
        containment="true" xmi:id="_refAtoB"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="B" xmi:id="_classB">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="att" lowerBound="2" upperBound="3"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt" xmi:id="_attAtt"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="newField" xmi:id="_attNewField"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="D" xmi:id="_classD">
    <eOperations name="test" xmi:id="_opTest"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="anotherField" xmi:id="_attAnotherField"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="field2" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EByte" xmi:id="_attField2"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="field" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBigDecimal" xmi:id="_attField"/>
  </eClassifiers>
</ecore:EPackage>
